<% require "ansi2html" %>

<pre class="terminal_output">
<% unless params[:id].nil? 
  out = Ansi2Html.convert(h(@terminal_output))
end -%>

<%=out%>
</pre>

<div class="depot-form" >
  <fieldset>
    
    <%= start_form_tag %>
       <p>
         <label for="cmd">Command:</label>
         <%= text_field_tag :cmd, params[:cmd] %>
       </p>
	
       <p>
	 <label for="ve" >VE:</label>
	 <%= 
	 if params[:id].nil? 
	   choices = 
             VirtualEnvironment.
             find_all_by_status_and_uid('started', session[:user_id]).
             collect {|i| [i.veid, i.id]}

	   select 'post', 'targets', choices
	 else
	   hidden_field_tag(:id, params[:id]) + @veid.to_s
	 end
	 %>
       </p>
        	
       <p><%= submit_tag "Run" %></p>
    <%= end_form_tag %>
  </fieldset>
</div>
</div>


